Fonction M2SCI
Last update : 05/10/2004

Contents - Créé un arbre contenant les données d'inférence du contenu d'une variable

### Calling Sequence

  `contents=Contents(liste_d_index,list_d_infer)`

### Parameters

- `liste_d_index` : liste d'indexes similaires aux indexes retournés par `macr2tree`.
- `liste_d_infer` : liste de tlists de type "infer" contenant les données d'inférence pour l'index correspondant.
- `contents`: une tlist de type "contents"

### Description

Cette fonction créé une `tlist` représentant les données d'inférence pour le contenu d'une Cell ou d'une Struct quand on utilise M2SCI. Tous les paramètres d'entrée sont vérifiés pour être compatible avec les "tlists M2SCI". (Unknown=-1 dans M2SCI). Assurez vous que pour chaque entrée dans la liste d'indexes, il y a une entrée dans la liste de tlists de type "infer".

### See Also

`get_contents_infer`, `Funcall`, `Operation`, `Variable`, `Cste`, `Infer`, `Type`, `Equal`,

### Authors

  V.C.